package com.yeejoin.amos.api.tool.face.orm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import org.typroject.tyboot.core.rdbms.orm.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
/**
 * @author r
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("studio_visual_designer")
public class Designer extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     *设计器名称
     */
    @TableField("DESIGNER_NAME")
    private String designerName;

    /**
     *设计器类型
     */
    @TableField("DESIGNER_TYPE")
    private String designerType;

}
