package com.yeejoin.amos.api.tool.face.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.api.tool.face.model.TplCateModel;
import com.yeejoin.amos.api.tool.face.orm.dao.TplCateMapper;
import com.yeejoin.amos.api.tool.face.orm.entity.TplCate;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.List;
/**
 * 服务实现类
 *
 * @author r
 */
@Service

public class TplCateService extends BaseService<TplCateModel, TplCate, TplCateMapper>  {
    /**
     * 分页查询
     */
    public Page<TplCateModel> queryForTplCatePage(Page<TplCateModel> page)   {
        return this.queryForPage(page, null, false);
    }

    /**
     * 列表查询 示例
     */
    public List<TplCateModel> queryForTplCateList()   {
        return this.queryForList("" , false);
    }


}
