package com.yeejoin.amos.api.tool.face.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value="TplListModel", description="")
public class TplListModel extends TplVoModel {


    @ApiModelProperty(value = "缩略图")
    private String thumb;

    @ApiModelProperty(value = "效果图")
    private String sketch;


    public void setThumb(String thumb) {
        this.thumb = thumb ;
    }

    public void setSketch(String sketch) {
        this.sketch = sketch;
    }

}
